Package org.eclipse.net4j.util.container

## Interface IContainerEvent<E>

- All Superinterfaces:
    `IEvent`
  All Known Implementing Classes:
    `ContainerEvent`, `SingleDeltaContainerEvent`

      public interface IContainerEvent<E>
      extends IEvent

  An `event` fired from a `container` when its elements have changed.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(IContainerEventVisitor<E> visitor)` |
    `IContainerDelta<E>` | `getDelta()` |
    `E` | `getDeltaElement()` |
    `IContainerDelta.Kind` | `getDeltaKind()` |
    `IContainerDelta<E>[]` | `getDeltas()` |
    `IContainer<E>` | `getSource()` |
    `boolean` | `isEmpty()` |

- - ### Method Detail

    - #### getSource

          IContainer<E> getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### isEmpty

          boolean isEmpty()

    - #### getDeltas

          IContainerDelta<E>[] getDeltas()

    - #### getDelta

          IContainerDelta<E> getDelta()
                               throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### getDeltaElement

          E getDeltaElement()
                     throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### getDeltaKind

          IContainerDelta.Kind getDeltaKind()
                                     throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### accept

          void accept​(IContainerEventVisitor<E> visitor)